module AOI_sl(o,a,b,c,d);
	input a,b,c,d;
	output o;
	wire w1,w2,w3,v1,v2,v3;
	supply1 vdd;
	supply0 gnd;

	//(a.b) -> A
	pmos #(5,6,7)(w1,vdd,a)
		,(w1,vdd,b)
		,(w3,vdd,w1);
	nmos #(3,4,5)(v1,gnd,b)
		,(w1,v1,a)
		,(w3,gnd,w1);
	//(c.d) -> B
	pmos #(5,6,7)(w2,vdd,c)
		,(w2,vdd,d)
		,(w4,vdd,w2);
	nmos #(3,4,5)(v2,gnd,d)
		,(w2,v2,c)
		,(w4,gnd,w2);
	//(A+B)' -> C
	pmos #(5,6,7)(v3,vdd,w3)
		,(o,v3,w4);
	nmos #(3,4,5)(o,gnd,w3)
		,(o,gnd,w4);
endmodule
